Package org.springframework.util

# Interface ErrorHandler

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ErrorHandler
A strategy for handling errors. This is especially useful for handling errors that occur during asynchronous execution of tasks that have been submitted to a TaskScheduler. In such cases, it may not be possible to throw the error to the original caller.

Since:
  3.0
Author:
  Mark Fisher

## Method Summary

Modifier and Type
Method
Description
`void`
`handleError(Throwable t)`
Handle the given error, possibly rethrowing it as a fatal exception.

## Method Details

### handleError

void handleError(Throwable t)
Handle the given error, possibly rethrowing it as a fatal exception.